College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

info

Download schema

Authenticated user account and API usage information.


GET
https://api.collegefootballdata.com
/info
Bearer

Returns the authenticated user's Patreon level and remaining API calls. Returns null when the request is not authenticated.

Responses

200

Ok

patronLevel
​number · double · required
tierName
​string · required
monthlyLimit
​number | null · double · required
remainingCalls
​number | null · double · required
usedCalls
​number | null · double · required
resetAt
​string · required
sharedPool
​boolean · required
products
​string[] · required
​UserFeatureAccess · required
GET/info
curl https://api.collegefootballdata.com/info \ --header 'Authorization: Bearer <token>'
Example Responses
{ "patronLevel": 0, "tierName": "tierName", "monthlyLimit": 0, "remainingCalls": 0, "usedCalls": 0, "resetAt": "resetAt", "sharedPool": true, "products": [ "string" ], "features": { "adjustedMetrics": true, "weather": true, "scoreboard": true, "livePlayByPlay": true, "graphQl": true } }
json
application/json

GET
https://api.collegefootballdata.com
/info/usage
Bearer

Returns recent usage for the authenticated user's shared CFB and CBB call pool. Returns null when the request is not authenticated.

query Parameters

days
​integer · int32

Trailing days to include. Defaults to 7; maximum 31.

limit
​integer · int32

Maximum endpoint and request rows to return. Defaults to 10; maximum 50.

api
​UserUsageApi · enum

API to include: all, cfb, or cbb.

Enum values:
all
cfb
cbb

Responses

200

Ok

​UserUsageWindow · required
api
​UserUsageApi · enum · required
Enum values:
all
cfb
cbb
​UserUsageTotals · required
​UserUsageEndpoint[] · required
​UserUsageRecentRequest[] · required
GET/info/usage
curl https://api.collegefootballdata.com/info/usage \ --header 'Authorization: Bearer <token>'
Example Responses
{ "window": { "start": "start", "end": "end" }, "api": "all", "totals": { "requests": 0, "cfbRequests": 0, "cbbRequests": 0, "uniqueEndpoints": 0 }, "topEndpoints": [ { "api": "all", "endpoint": "endpoint", "requests": 0, "lastUsedAt": "lastUsedAt" } ], "recentRequests": [ { "api": "all", "endpoint": "endpoint", "requestedAt": "requestedAt" } ] }
json
application/json

adjustedMetrics